Full name: projects.locations.instances.users.conversations.messages.delete
messages.delete is used to delete a message. Deleting a message deletes both the user input and AI response.
HTTP request
DELETE https://{endpoint}/v1alpha/{name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the message to delete. Format: projects/{project}/locations/{location}/instances/{instance}/users/{user}/conversations/{conversation}/messages/{message} |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.messages.delete
For more information, see the IAM documentation.